Skip to main content

Registry Webhook

View as Markdown

RegistryWebhook object

idstring

Webhook ID

Example: 124323

eventsarray of string

Events that can trigger a registry webhook:

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

descriptionstring

User-specified description for the webhook.

Example: Webhook for comment creation

statusstring

Values: ACTIVE, DISABLED, TEST_MODE

http_url_specobject
Show child attributesHide child attributes
urlstring

External HTTPS URL called on event trigger (by using a POST request).

Example: https://hooks.slack.com/services/...

enable_ssl_verificationboolean

Enable/disable SSL certificate validation. Default is true. For self-signed certificates, this field must be false AND the destination server must disable certificate validation as well. For security purposes, it is encouraged to perform secret validation with the HMAC-encoded portion of the payload and acknowledge the risk associated with disabling hostname validation whereby it becomes more likely that requests can be maliciously routed to an unintended host.

Default: true

secretstring

Shared secret required for HMAC encoding payload. The HMAC-encoded payload will be sent in the header as: { "X-Databricks-Signature": $encoded_payload }.

Example: anyRandomString

authorizationstring

Value of the authorization header that should be sent in the request sent by the wehbook. It should be of the form "<auth type> <credentials>". If set to an empty string, no authorization header will be included in the request.

Example: Bearer <access_token>

job_specobject
Show child attributesHide child attributes
job_idstring

ID of the job that the webhook runs.

Example: 1

workspace_urlstring

URL of the workspace containing the job that this webhook runs. If not specified, the job’s workspace URL is assumed to be the same as the workspace where the webhook is created.

access_tokenstring

The personal access token used to authorize webhook's job runs.

model_namestring

Name of the model whose events would trigger this webhook.

Example: registered-model-1

List GA

GET /api/2.0/mlflow/registry-webhooks/list

NOTE: This endpoint is in Public Preview. Lists all registry webhooks.

API scopes: mlflow

Parameters

model_namestringquery

Registered model name If not specified, all webhooks associated with the specified events are listed, regardless of their associated model.

Example: registered-model-1

eventsarray of stringquery

Events that trigger the webhook.

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

If events is specified, any webhook with one or more of the specified trigger events is included in the output. If events is not specified, webhooks of all event types are included in the output.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

page_tokenstringquery

Token indicating the page of artifact results to fetch

max_resultsint64query

Default: 1000

Response

Returns a list of RegistryWebhook objects.

Create GA

POST /api/2.0/mlflow/registry-webhooks/create

NOTE: This endpoint is in Public Preview. Creates a registry webhook.

API scopes: mlflow

Request body

model_namestring

If model name is not specified, a registry-wide webhook is created that listens for the specified events across all versions of all registered models.

Example: registered-model-1

eventsarray of string

Events that can trigger a registry webhook:

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

descriptionstring

User-specified description for the webhook.

Example: Webhook for comment creation

statusstring

Enable or disable triggering the webhook, or put the webhook into test mode. The default is ACTIVE:

  • ACTIVE: Webhook is triggered when an associated event happens.

  • DISABLED: Webhook is not triggered.

  • TEST_MODE: Webhook can be triggered through the test endpoint, but is not triggered on a real event.

Default: ACTIVE

Values: ACTIVE, DISABLED, TEST_MODE

http_url_specobject

External HTTPS URL called on event trigger (by using a POST request).

Show child attributesHide child attributes
urlstring

External HTTPS URL called on event trigger (by using a POST request).

Example: https://hooks.slack.com/services/...

enable_ssl_verificationboolean

Enable/disable SSL certificate validation. Default is true. For self-signed certificates, this field must be false AND the destination server must disable certificate validation as well. For security purposes, it is encouraged to perform secret validation with the HMAC-encoded portion of the payload and acknowledge the risk associated with disabling hostname validation whereby it becomes more likely that requests can be maliciously routed to an unintended host.

Default: true

secretstring

Shared secret required for HMAC encoding payload. The HMAC-encoded payload will be sent in the header as: { "X-Databricks-Signature": $encoded_payload }.

Example: anyRandomString

authorizationstring

Value of the authorization header that should be sent in the request sent by the wehbook. It should be of the form "<auth type> <credentials>". If set to an empty string, no authorization header will be included in the request.

Example: Bearer <access_token>

job_specobject

ID of the job that the webhook runs.

Show child attributesHide child attributes
job_idstring

ID of the job that the webhook runs.

Example: 1

workspace_urlstring

URL of the workspace containing the job that this webhook runs. If not specified, the job’s workspace URL is assumed to be the same as the workspace where the webhook is created.

access_tokenstring

The personal access token used to authorize webhook's job runs.

Response

webhookobject
Show child attributesHide child attributes
idstring

Webhook ID

Example: 124323

eventsarray of string

Events that can trigger a registry webhook:

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

descriptionstring

User-specified description for the webhook.

Example: Webhook for comment creation

statusstring

Values: ACTIVE, DISABLED, TEST_MODE

http_url_specobject
Show child attributesHide child attributes
urlstring

External HTTPS URL called on event trigger (by using a POST request).

Example: https://hooks.slack.com/services/...

enable_ssl_verificationboolean

Enable/disable SSL certificate validation. Default is true. For self-signed certificates, this field must be false AND the destination server must disable certificate validation as well. For security purposes, it is encouraged to perform secret validation with the HMAC-encoded portion of the payload and acknowledge the risk associated with disabling hostname validation whereby it becomes more likely that requests can be maliciously routed to an unintended host.

Default: true

secretstring

Shared secret required for HMAC encoding payload. The HMAC-encoded payload will be sent in the header as: { "X-Databricks-Signature": $encoded_payload }.

Example: anyRandomString

authorizationstring

Value of the authorization header that should be sent in the request sent by the wehbook. It should be of the form "<auth type> <credentials>". If set to an empty string, no authorization header will be included in the request.

Example: Bearer <access_token>

job_specobject
Show child attributesHide child attributes
job_idstring

ID of the job that the webhook runs.

Example: 1

workspace_urlstring

URL of the workspace containing the job that this webhook runs. If not specified, the job’s workspace URL is assumed to be the same as the workspace where the webhook is created.

access_tokenstring

The personal access token used to authorize webhook's job runs.

model_namestring

Name of the model whose events would trigger this webhook.

Example: registered-model-1

Update GA

PATCH /api/2.0/mlflow/registry-webhooks/update

NOTE: This endpoint is in Public Preview. Updates a registry webhook.

API scopes: mlflow

Request body

idstring

Webhook ID

Example: 124323

eventsarray of string

Events that can trigger a registry webhook:

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

descriptionstring

User-specified description for the webhook.

Example: Webhook for comment creation

statusstring

Values: ACTIVE, DISABLED, TEST_MODE

http_url_specobject
Show child attributesHide child attributes
urlstring

External HTTPS URL called on event trigger (by using a POST request).

Example: https://hooks.slack.com/services/...

enable_ssl_verificationboolean

Enable/disable SSL certificate validation. Default is true. For self-signed certificates, this field must be false AND the destination server must disable certificate validation as well. For security purposes, it is encouraged to perform secret validation with the HMAC-encoded portion of the payload and acknowledge the risk associated with disabling hostname validation whereby it becomes more likely that requests can be maliciously routed to an unintended host.

Default: true

secretstring

Shared secret required for HMAC encoding payload. The HMAC-encoded payload will be sent in the header as: { "X-Databricks-Signature": $encoded_payload }.

Example: anyRandomString

authorizationstring

Value of the authorization header that should be sent in the request sent by the wehbook. It should be of the form "<auth type> <credentials>". If set to an empty string, no authorization header will be included in the request.

Example: Bearer <access_token>

job_specobject
Show child attributesHide child attributes
job_idstring

ID of the job that the webhook runs.

Example: 1

workspace_urlstring

URL of the workspace containing the job that this webhook runs. If not specified, the job’s workspace URL is assumed to be the same as the workspace where the webhook is created.

access_tokenstring

The personal access token used to authorize webhook's job runs.

Response

webhookobject
Show child attributesHide child attributes
idstring

Webhook ID

Example: 124323

eventsarray of string

Events that can trigger a registry webhook:

  • MODEL_VERSION_CREATED: A new model version was created for the associated model.

  • MODEL_VERSION_TRANSITIONED_STAGE: A model version’s stage was changed.

  • TRANSITION_REQUEST_CREATED: A user requested a model version’s stage be transitioned.

  • COMMENT_CREATED: A user wrote a comment on a registered model.

  • REGISTERED_MODEL_CREATED: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.

  • MODEL_VERSION_TAG_SET: A user set a tag on the model version.

  • MODEL_VERSION_TRANSITIONED_TO_STAGING: A model version was transitioned to staging.

  • MODEL_VERSION_TRANSITIONED_TO_PRODUCTION: A model version was transitioned to production.

  • MODEL_VERSION_TRANSITIONED_TO_ARCHIVED: A model version was archived.

  • TRANSITION_REQUEST_TO_STAGING_CREATED: A user requested a model version be transitioned to staging.

  • TRANSITION_REQUEST_TO_PRODUCTION_CREATED: A user requested a model version be transitioned to production.

  • TRANSITION_REQUEST_TO_ARCHIVED_CREATED: A user requested a model version be archived.

Values: MODEL_VERSION_CREATED, MODEL_VERSION_TRANSITIONED_STAGE, TRANSITION_REQUEST_CREATED, COMMENT_CREATED, REGISTERED_MODEL_CREATED, MODEL_VERSION_TAG_SET, MODEL_VERSION_TRANSITIONED_TO_STAGING, MODEL_VERSION_TRANSITIONED_TO_PRODUCTION, MODEL_VERSION_TRANSITIONED_TO_ARCHIVED, TRANSITION_REQUEST_TO_STAGING_CREATED, TRANSITION_REQUEST_TO_PRODUCTION_CREATED, TRANSITION_REQUEST_TO_ARCHIVED_CREATED

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

descriptionstring

User-specified description for the webhook.

Example: Webhook for comment creation

statusstring

Values: ACTIVE, DISABLED, TEST_MODE

http_url_specobject
Show child attributesHide child attributes
urlstring

External HTTPS URL called on event trigger (by using a POST request).

Example: https://hooks.slack.com/services/...

enable_ssl_verificationboolean

Enable/disable SSL certificate validation. Default is true. For self-signed certificates, this field must be false AND the destination server must disable certificate validation as well. For security purposes, it is encouraged to perform secret validation with the HMAC-encoded portion of the payload and acknowledge the risk associated with disabling hostname validation whereby it becomes more likely that requests can be maliciously routed to an unintended host.

Default: true

secretstring

Shared secret required for HMAC encoding payload. The HMAC-encoded payload will be sent in the header as: { "X-Databricks-Signature": $encoded_payload }.

Example: anyRandomString

authorizationstring

Value of the authorization header that should be sent in the request sent by the wehbook. It should be of the form "<auth type> <credentials>". If set to an empty string, no authorization header will be included in the request.

Example: Bearer <access_token>

job_specobject
Show child attributesHide child attributes
job_idstring

ID of the job that the webhook runs.

Example: 1

workspace_urlstring

URL of the workspace containing the job that this webhook runs. If not specified, the job’s workspace URL is assumed to be the same as the workspace where the webhook is created.

access_tokenstring

The personal access token used to authorize webhook's job runs.

model_namestring

Name of the model whose events would trigger this webhook.

Example: registered-model-1

Delete GA

DELETE /api/2.0/mlflow/registry-webhooks/delete

NOTE: This endpoint is in Public Preview. Deletes a registry webhook.

API scopes: mlflow

Parameters

idstringquery

Webhook ID required to delete a registry webhook.

Example: 124323